%define module 	Tk-TableMatrix
%define version 1.01
%define release 1mdk

Summary:	Tk-TableMatrix perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	http://cpan.org/authors/id/C/CE/CERNEY/%{module}-%{version}.tar.bz2
# for fake X display:
BuildRequires:	XFree86-Xvfb

BuildRequires:	XFree86-devel
BuildRequires:	perl-devel
BuildRequires:	perl-Tk-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:	Tk::TableMatrix modules for Perl (development package)
Group:		Development/C
Requires:	perl-Tk-TableMatrix = %{version}

%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{module}-%{version}

%build
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY

%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
make test

kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk/TableMatrix.*
%{perl_vendorarch}/Tk/TableMatrix
%{perl_vendorarch}/auto/Tk/*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk/pTk/*.h

%changelog
* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 1.01-1mdk
- initial mdk package
